/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseDrawerFoundation, IBaseDrawerFoundation } from '../base';
import { IModalDrawerAdapter } from './modal-drawer-adapter';
export interface IModalDrawerFoundation extends IBaseDrawerFoundation {
}
export declare class ModalDrawerFoundation extends BaseDrawerFoundation implements IModalDrawerFoundation {
    protected _adapter: IModalDrawerAdapter;
    protected _open: boolean;
    private _backdropClickListener;
    private _isInitialized;
    constructor(_adapter: IModalDrawerAdapter);
    connect(): void;
    disconnect(): void;
    protected _triggerDrawerOpen(): void;
    protected _triggerDrawerClose(): void;
    private _onBackdropClick;
    private _setBackdrop;
}
